org.eclipse.oomph.resources

## Interface XMLProjectFactory

- All Superinterfaces:
    EObject, ModelElement, Notifier, ProjectFactory
  All Known Subinterfaces:
    EclipseProjectFactory, MavenProjectFactory
  All Known Implementing Classes:
    EclipseProjectFactoryImpl, MavenProjectFactoryImpl, XMLProjectFactoryImpl

      public interface XMLProjectFactory
      extends ProjectFactory

  A representation of the model object 'XML Project Factory'.
  See Also:
    `ResourcesPackage.getXMLProjectFactory()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.oomph.resources.ProjectFactory

      `createProject, getExcludedPaths, isExcludedPath`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html